Bug 214093 - Printing ignores gnome's options (odd and even pages printing)
Printing ignores gnome's options (odd and even pages printing)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 13:03 EST by Thomas Canniot
Modified: 2009-06-27 11:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: F-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 07:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Canniot 2006-11-05 13:03:02 EST
Description of problem:
I printed a PDF with Evince, and chose to only print odd pages. The printer (HP
3320) printed the whole document.

Version-Release number of selected component (if applicable):
cups-1.2.4-9
hal-cups-utils-0.6.2-4
libgnomecups-0.2.2-8
cups-libs-1.2.4-9
system-config-printer-libs-0.7.32-1
system-config-printer-0.7.32-1

How reproducible:
Always

Steps to Reproduce:
1. Open a PDF with Evince
2. Choose to print it and select odd /even pages
3.
  
Actual results:
Print the whole document

Expected results:
Should only print odd or even pages.

Additional info:
Comment 1 Tim Waugh 2006-11-06 12:41:16 EST
Confirmed.  When I tried this, the job was actually sent with only these options:

D [06/Nov/2006:17:20:45 +0000] [Job 98] argv[5]="requesting-user-name=tim MediaT
ype=Plain StpPrintingDirection=None StpFineMagentaBalance=None StpFineCyanDensit
y=None StpBlackDensity=None noStpLinearContrast StpQuality=Draft StpDensity=None
 StpDitherAlgorithm=None StpImageType=TextGraphics StpCyanDensity=None StpBlackT
rans=None StpGCRLower=None StpFineMagentaDensity=None StpFineCyanGamma=None StpS
aturation=None StpYellowDensity=None StpYellowBalance=None StpGamma=None StpWeav
e=None noStpAdjustDotsize StpBlackGamma=None StpFineGamma=None StpFineGCRUpper=N
one StpFineBrightness=None StpMagentaDensity=None StpColorCorrection=None StpMag
entaBalance=None StpFineInkLimit=None StpFineBlackTrans=None ColorModel=Gray Stp
ColorPrecision=Normal Resolution=None StpFineContrast=None StpInkSet=None StpFin
eYellowDensity=None StpFineYellowBalance=None StpCyanGamma=None StpFineMagentaGa
mma=None StpContrast=None StpGCRUpper=None StpFineBlackGamma=None StpInkLimit=No
ne StpFineSaturation=None StpMagentaGamma=None StpFineYellowGamma=None StpFineDe
nsity=None StpFineCyanBalance=None StpInkType=None StpFineGCRLower=None StpBrigh
tness=None StpFineBlackDensity=None StpYellowGamma=None PageSize=A4 StpCyanBalan
ce=None job-uuid=urn:uuid:ce74c861-cba9-3300-5233-a694b9033659"

I expect to see 'page-set=even' there, but it isn't.
Comment 2 Bug Zapper 2008-04-04 00:27:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Thomas Canniot 2008-04-23 14:07:00 EDT
Needinfo ? the bug has been confirmed...
Comment 4 Tim Waugh 2008-05-01 07:16:57 EDT
Seems to work with Fedora 7 onwards.

Note You need to log in before you can comment on or make changes to this bug.